<template>
  <div class="layout">
    <Header :horizontalNavList="[]"></Header>
    <AppMain :menuItems="menuList"/>
  </div>
</template>

<!-- vue3 setup -->
<script setup lang="ts">
import {computed,ref} from 'vue'
import { useStore } from 'vuex'
import { useRoute } from 'vue-router'
import Header from './components/header.vue'
import AppMain from './components/AppMain.vue'

const store = useStore()
const route = useRoute()

// 此处要根据登录用户的权限 分条件展示 不同的内容
const menuList =  computed(()=>{
  if(route.path.startsWith('/main/myCustomerDetail')){
    return []
  }
  return store.state.siderNav
})


</script>